# $Revision: 1.69 $, $Date: 2011/07/17 15:32:00 $
Summary:	Utility to save partitions in a compressed image file
Summary(pl.UTF-8):	Narzędzie do zapisu partycji w skompresowanych plikach
Summary(pt_BR.UTF-8):	Ferramenta para criar e restaurar backup de partições
Name:		partimage
Version:	0.6.9
Release:	3
License:	GPL v2
Group:		Applications/System
Source0:	http://downloads.sourceforge.net/partimage/%{name}-%{version}.tar.bz2
# Source0-md5:	1bc046fd915c5debbafc85729464e513
Source1:	%{name}d.init
Source2:	%{name}d.sysconfig
Source3:	%{name}d.pam
Source4:	%{name}d-ssl.cnf
Patch0:		%{name}-fix_debug.patch
Patch1:		%{name}-descr.patch
URL:		http://www.partimage.org/
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	gettext-devel
BuildRequires:	libstdc++-devel
BuildRequires:	newt-devel
BuildRequires:	openssl-devel
BuildRequires:	pam-devel
BuildRequires:	rpmbuild(macros) >= 1.202
BuildRequires:	slang-devel >= 2.0.0
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
Linux/UNIX utility to save partitions in a compressed image file
Partition Image is a Linux/UNIX partition imaging utility: it saves
partitions in the:

  - Ext2FS (the Linux standard)
  - ReiserFS (a new, powerful journalling file system)
  - NTFS (Windows NT File System)
  - FAT16/32 (DOS & Windows file systems)
  - HPFS (OS/2 File System)
  - JFS (IBM Jounalized File System for AIX)
  - XFS (SGI Jounalized File System for IRIX)
  - HFS (Hierarchical File System for MacOS)
  - UFS (*BSD, Solaris and NextStep file systems)

file system formats to an image file. Only used blocks are copied. The
image file can be compressed in the GZIP/BZIP2 formats to save disk
space, and splitted into multiple files to be copied on amovibles
floppies (ZIP for example), or burned on a CD-R ... This allows to
save a full Linux/Windows system, with an only operation. When
problems (viruses, crash, error, ...), you just have to restore, and
after several minutes, all your system is restored (boot, files, ...),
and fully working. This is very useful when installing the same
software on many machines: just install one of them, create an image,
and just restore the image on all other machines. Then, after the
first one, each installation is automatically made, and only require a
few minutes.

%description -l pl.UTF-8
Narzędzie linuksowe do zapisywania partycji w skompresowanych plikach.
Potrafi ono zapisywać partycje:
  - Ext2FS (linuksowy standard),
  - ReiserFS (nowy, potężny system plików z journalem),
  - NTFS (system plików Windows NT),
  - FAT16/32 (system plików DOS i Windows),
  - HPFS (system plików OS/2),
  - XFS (system plików z journalem IBM-a dla AIX),
  - JFS (system plików z journalem SGI dla IRIX-a),
  - HFS (hierarchiczny system plików dla MacOS),
  - UFS (system plików *BSD, Solarisa oraz NextStepa).

Kopiowane sątylko używane bloki. Plik wyjściowy może być podzielony na
wiele mniejszych oraz kompresowany w formacie gzip/bzip2 w celu
zaoszczędzenia miejsca. Pozwala to na zapis całego systemu
Linux/Windows w pojedynczej operacji. W razie problemów (wirusy,
błędy, awaria...) należy po prostu przywrócić system i po kilku
minutach całość jest znowu sprawna. Jest to bardzo użyteczne przy
instalowaniu tego samego na wielu maszynach: wystarczy zainstalować na
jednej z nich, zrobić obraz i przywrócić na pozostałych maszynach. Po
pierwszej instalacji każda następna wymaga tylko kilku minut.

%package server
Summary:	Partimage server
Summary(pl.UTF-8):	Serwer Partimage
Group:		Applications/System
Requires(post,preun):	/sbin/chkconfig
Requires(postun):	/usr/sbin/groupdel
Requires(postun):	/usr/sbin/userdel
Requires(pre):	/bin/id
Requires(pre):	/usr/bin/getgid
Requires(pre):	/usr/sbin/groupadd
Requires(pre):	/usr/sbin/useradd
Requires:	%{name} = %{version}-%{release}
Requires:	openssl-tools
Provides:	group(partimag)
Provides:	user(partimag)

%description server
Server for Partimage.

%description server -l pl.UTF-8
Server dla Partimage.

%prep
%setup -q
%patch0 -p1
%patch1 -p1

%build
cp -f /usr/share/automake/config.sub .
rm -f po/stamp-po
%configure \
	--disable-silent-rules \
	--enable-pam \
	--enable-ssl
%{__make}

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT{%{_sysconfdir}/{partimaged,pam.d},/etc/rc.d/init.d,/etc/sysconfig,/var/spool/partimage}

%{__make} -C src install \
	sysconfdir=$RPM_BUILD_ROOT%{_sysconfdir} \
	DESTDIR=$RPM_BUILD_ROOT

%{__make} -C po install \
	DESTDIR=$RPM_BUILD_ROOT

cat > $RPM_BUILD_ROOT%{_sysconfdir}/partimaged/partimagedusers << EOF
#note, '#' intruduces comments
#add only users allowed to connect to partimaged
# (only one login per line)

#joe # user 'joe' is allowed to connect to partimaged
EOF

install %{SOURCE1} $RPM_BUILD_ROOT/etc/rc.d/init.d/partimaged
install %{SOURCE2} $RPM_BUILD_ROOT/etc/sysconfig/partimaged
install %{SOURCE3} $RPM_BUILD_ROOT/etc/pam.d/partimaged
install %{SOURCE4} $RPM_BUILD_ROOT%{_sysconfdir}/partimaged/partimaged.cnf

touch $RPM_BUILD_ROOT%{_sysconfdir}/partimaged/partimaged.{csr,cert,key}

%find_lang %{name}

%clean
rm -rf $RPM_BUILD_ROOT

%pre server
%groupadd -P %{name}-server -g 98 partimag
%useradd -P %{name}-server -u 98 -d %{_sysconfdir}/partimaged -s /bin/false -c "Partimage server" -g partimag partimag

%post server
/sbin/chkconfig --add partimaged
if [ ! -s /etc/partimaged/partimaged.key -o ! -s /etc/partimaged/partimaged.cert ]; then
	echo "Run \"/etc/rc.d/init.d/partimaged init\" to create self-signed SSL certificate." >&2
fi

if [ -f /var/lock/subsys/partimaged ]; then
	/etc/rc.d/init.d/partimaged restart >&2
else
	echo "Run \"/etc/rc.d/init.d/partimaged start\" to start partimage server." >&2
fi

echo

%preun server
if [ "$1" = "0" ]; then
	if [ -f /var/lock/subsys/partimaged ]; then
		/etc/rc.d/init.d/partimaged stop >&2
	fi
	/sbin/chkconfig --del partimaged
fi

%postun server
if [ "$1" = "0" ]; then
	%userremove partimag
	%groupremove partimag
fi

%files -f %{name}.lang
%defattr(644,root,root,755)
%doc AUTHORS ChangeLog README* THANKS BUGS
%attr(755,root,root) %{_sbindir}/partimage

%files server
%defattr(644,root,root,755)
%doc README.partimaged
%attr(755,root,root) %{_sbindir}/partimaged
%attr(754,root,root) /etc/rc.d/init.d/partimaged
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/pam.d/partimaged
%attr(640,root,root) %config(noreplace) %verify(not md5 mtime size) /etc/sysconfig/partimaged
%dir %{_sysconfdir}/partimaged
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/partimaged/partimaged.cnf
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/partimaged/partimaged.csr
%attr(600,partimag,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/partimaged/partimaged.key
%attr(600,root,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/partimaged/partimaged.cert
%attr(600,partimag,root) %config(noreplace) %verify(not md5 mtime size) %{_sysconfdir}/partimaged/partimagedusers
%attr(700,partimag,root) %dir /var/spool/partimage

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: partimage.spec,v $
Revision 1.69  2011/07/17 15:32:00  wiget
- disable silent make rules
- rebuild with new newt
- rel. 3

Revision 1.68  2010/11/13 12:08:47  pawelz
- release 2

Revision 1.67  2010/07/30 09:19:16  lisu
- add "openssl.patch is not longer needed" message to previous commit log

Revision 1.66  2010/07/30 09:17:42  lisu
- updated to 0.6.9
- merge with DEVEL
- typo
- openssl.patch is not longer needed

Revision 1.65  2010/04/21 17:05:42  arekm
- release 3

Revision 1.64  2010/04/15 21:19:58  sls
- added openssl.patch

Revision 1.63  2010/04/15 07:16:51  arekm
- release 2

Revision 1.62.2.2  2010/04/08 08:22:37  lisu
- 0.6.9_beta1
- less docs
- some adapterization

Revision 1.62.2.1  2009/10/26 14:13:04  lisu
- up to 0.6.9_beta1

Revision 1.62  2009/10/13 15:05:02  lisu
- updated to 0.6.8 (thanks to Krzysztof Golinski <krzysztof.golinski at gmail.com>)
- remove usless patches (thanks to Krzysztof Golinski <krzysztof.golinski at gmail.com>)
- new patches:	fix_debug.patch (thanks to Krzysztof Golinski <krzysztof.golinski at gmail.com>)
		descr.patch (thanks to Bohdan R. Rau <ethanak at polip.com>)

Revision 1.61  2009/08/28 10:08:09  cactus
- rel 5; with glibc 2.10 patch

Revision 1.60  2009/01/23 22:22:25  areq
- remove: cp -f /usr/lib/rpm/mkinstalldirs .

Revision 1.59  2009/01/19 22:25:58  sls
- removed types.patch (disabled 2 years ago), renumber remaining

Revision 1.58  2009/01/19 22:19:13  sls
- added patches 1056397 and fix_debug
- rel. 4

Revision 1.57  2008/11/24 17:38:21  sls
- don't verify md5+mtime+size of /etc/partimaged/partimagedusers

Revision 1.56  2008/07/12 22:43:48  megabajt
- added -gcc43.patch
- release 3

Revision 1.55  2008/04/10 16:13:13  qboosh
- sorted BRs

Revision 1.54  2008-04-10 11:41:56  arekm
PAM and SSL support.

Revision 1.53  2008-04-10 10:40:39  arekm
- up to 0.6.7

Revision 1.52  2007/09/10 09:52:53  kosmo
- updated to 0.6.6

Revision 1.51  2007/02/13 07:16:52  glen
- tabs in preamble

Revision 1.50  2007/02/12 00:49:18  baggins
- converted to UTF-8

Revision 1.49  2006/12/19 23:05:45  areq
- 0.6.5

Revision 1.48  2006/11/09 20:57:27  glen
- strict internal deps

Revision 1.47  2006/09/09 01:29:53  glen
- rel 6 (rebuild with fixed %useradd/%groupadd macros)

Revision 1.46  2006/05/19 12:13:56  tommat
- version 0.6.5 beta3
- rel 1

Revision 1.45  2006/04/14 15:34:38  glen
- cleanups, rel 4

Revision 1.44  2005/12/13 14:37:23  glen
- adapterized (sorted %verify flags)

Revision 1.43  2005/09/22 21:21:35  saq
- rel .3 for fixed amd64 build

Revision 1.42  2005/09/16 07:32:27  arekm
- BR new slang

Revision 1.41  2005/08/09 11:49:32  charles
- updated to 0.6.5 beta2
- removed outdated -po.patch, updated -types.patch
- BR: libstdc++-devel, cleanups

Revision 1.40  2005/05/01 17:31:30  glen
- use %useradd/%groupadd macros

Revision 1.39  2004/10/29 14:34:58  paladine
- pl fixes

Revision 1.38  2004/10/24 12:20:48  paladine
- spelling fixes

Revision 1.37  2004/10/12 12:35:24  ankry
- %groupremove/%userremove support, some standarization

Revision 1.36  2004/10/01 15:14:50  kolodko
- up to 0.6.4 by Charles <charles (at) os.pl>

Revision 1.35  2004/08/04 06:23:24  ankry
- i18n fixes (-po patch), rel. 4

Revision 1.34  2004/01/15 13:00:19  jajcus
- Release: 3
- AMD64 fixes (includes -types.patch)

Revision 1.33  2003/12/29 22:07:50  pius
- added missing sysconfig file
- enhanced startup customization
- added /var/spool/partimage as the default spool for received images
- release 2

Revision 1.32  2003/10/09 14:51:31  qboosh
- this version doesn't seem to use e2fsprogs-devel - removed BR

Revision 1.31  2003/08/26 23:19:17  gotar
- no // in paths, sort, white space cleaning

Revision 1.30  2003/08/18 08:08:25  gotar
- mass commit: cosmetics (removed trailing white spaces)

Revision 1.29  2003/07/05 21:46:37  areq
- add debian.patch
- add man pages from debian
- tempolary turn off ac regenerations - allow build in nest

Revision 1.28  2003/06/06 09:47:24  misi3k
- cosmetics

Revision 1.27  2003/05/28 13:00:13  malekith
- massive attack: source-md5

Revision 1.26  2003/05/25 06:24:32  misi3k
- massive attack s/pld.org.pl/pld-linux.org/

Revision 1.25  2003/04/08 13:28:38  qboosh
- use http for sources from sourceforge

Revision 1.24  2003/02/10 23:11:17  ankry
- update to 0.6.2 by Michal J. Podyma <misiek@r-h.pl>

Revision 1.23  2002/10/09 13:14:42  kloczek
- use more macros, some cosmetics, added missing "rm -f missing" and use new %doc

Revision 1.22  2002/09/02 14:39:50  qboosh
- fixed build on alpha (types patch), release 6

Revision 1.21  2002/08/16 21:57:51  blues
- release 5 - closed BTS#249 - STBR

Revision 1.20  2002/08/05 14:01:41  qboosh
- fixed typo, little better pl, cosmetics

Revision 1.19  2002/08/05 13:44:07  blues
- fix in doc.

Revision 1.18  2002/08/05 12:26:35  blues
- release 4
- better translation

Revision 1.17  2002/06/27 08:16:03  kloczek
- typo in %install.

Revision 1.16  2002/06/26 21:16:58  kloczek
- release 3,
- spec adapterized,
- use new %doc and few minor changes in spec file.

Revision 1.15  2002/06/25 15:08:37  ankry
- changed source0 URL to ftp://

Revision 1.14  2002/06/23 20:52:53  kloczek
- perl -pi -e "s/^gettextize --copy --force/\%\{__gettextize\}/"

Revision 1.13  2002/06/01 09:56:06  migo
- typo

Revision 1.12  2002/05/21 23:14:20  kloczek
- perl -pi -e "s/^automake -a -c -f --foreing/\%\{__automake\}/; \
             s/^automake -a -c -f/\%\{__automake\}/; \
     s/^autoconf/\%\{__autoconf\}/"

Revision 1.11  2002/04/11 13:50:53  qboosh
- fixed uid/gid (reserved in uid_gid.db), added Requires to -server
- fixed file lists (there were duplicated binaries)
- release 2

Revision 1.10  2002/03/24 23:28:23  kloczek
- perl -pi -e "s/^automake -a -c$/automake -a -c -f/"

Revision 1.9  2002/02/22 23:29:21  kloczek
- removed all Group fields translations (oure rpm now can handle translating
  Group field using gettext).

Revision 1.8  2002/01/18 02:14:09  kloczek
- perl -pi -e "s/pld-list\@pld.org.pl/feedback\@pld.org.pl/"

Revision 1.7  2001/11/27 23:29:31  filon
- downgrade to 0.6.x - quite stable branch (0.7.x is testing branch)
- updato to 0.6.1

Revision 1.6  2001/11/10 18:53:37  kloczek
- updated to 0.7.0.

Revision 1.5  2001/11/08 22:31:17  filon
- updated to 0.6.0
- updated and reorganized description
- fixed rebuilding conf. files
- added partimaged package + partimaged.init + pre/post* macros
- rewritten %build and %files
- STB

Revision 1.4  2001/05/11 14:48:18  kloczek
- cosmetics.

Revision 1.3  2001/05/10 14:22:03  misiek
- updated to 0.3.6
- removed obsolete am/ac patch

Revision 1.2  2001/04/30 05:31:29  kloczek
- removed %post, %postun scripts.

Revision 1.1  2001/04/29 17:14:36  misiek
- Northon Ghost like software
